set_dma_reserve
Prev | More Memory Management Functions | Next

## Name

set_dma_reserve — set the specified number of pages reserved in the first zone

## Synopsis

`void __init set_dma_reserve (` | unsigned long | new_dma_reserve`)`;

## Arguments

`new_dma_reserve`

  The number of pages to mark reserved

## Description

The per-cpu batchsize and zone watermarks are determined by present_pages. In the DMA zone, a significant percentage may be consumed by kernel image and other unfreeable allocations which can skew the watermarks badly. This function may optionally be used to account for unfreeable pages in the first zone (e.g., ZONE_DMA). The effect will be lower watermarks and smaller per-cpu batchsize.

Prev | Up | Next
free_area_init_nodes | Home | setup_per_zone_pages_min